<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:bibtex="http://bibtexml.sf.net/">
<xsl:include href="config.xsl"/>
<xsl:template match="bibtex:article|bibtex:inproceedings|bibtex:inbook|bibtex:proceedings|bibtex:techreport">
       <tr>
			<td width="3%"></td>
			<td width="97%">	<xsl:choose>
				<xsl:when test="bibtex:author"><xsl:value-of select="bibtex:author" /></xsl:when>
				<xsl:otherwise><xsl:value-of select="bibtex:editor" /> (Editors)</xsl:otherwise>
			</xsl:choose><br></br><i>
			<xsl:choose>
				<xsl:when test="bibtex:chapter"><xsl:value-of select="bibtex:chapter" /></xsl:when>
				<xsl:otherwise><xsl:value-of select="bibtex:title" /></xsl:otherwise>
			</xsl:choose>
			</i><br></br>
				in 
				<xsl:if test="bibtex:journal"><xsl:value-of select="bibtex:journal" /> </xsl:if>
				<xsl:if test="bibtex:institution">Technical report of <xsl:value-of select="bibtex:institution" /> </xsl:if>
				<xsl:if test="bibtex:chapter"><xsl:value-of select="bibtex:title" /> </xsl:if>
				<xsl:if test="bibtex:booktitle"><xsl:value-of select="bibtex:booktitle" /> </xsl:if>						
				<xsl:if test="bibtex:editor"> (Eds. <xsl:value-of select="bibtex:editor" />) </xsl:if>						
				<xsl:if test="bibtex:publisher"> <xsl:value-of select="bibtex:publisher" /> </xsl:if>						
				<xsl:if test="bibtex:volume">, vol. <xsl:value-of select="bibtex:volume" /> </xsl:if>						
				<xsl:if test="bibtex:number">, n. <xsl:value-of select="bibtex:number" /> </xsl:if>						
				<xsl:if test="bibtex:year"> (<xsl:value-of select="bibtex:year" />)</xsl:if>				
				<xsl:if test="bibtex:pages">:
				  <xsl:value-of select="bibtex:pages" /></xsl:if>	
				<br></br>
				<!-- add abstract -->
				<xsl:if test="bibtex:abstract">
					[<xsl:element name="a"><xsl:attribute name="href">
					<xsl:value-of select="concat($uri_abstracts,../@id,'.html')" /></xsl:attribute>abstract</xsl:element>]
				</xsl:if>
				<!--add download manca il controllo che sia effettivament il link pdf -->
				<xsl:if test="bibtex:nstandard">
					 [<xsl:if test="bibtex:note">
					<xsl:element name="a"><xsl:attribute name="href">
					<xsl:value-of select="concat($uri_copyrights,'#',bibtex:note)" />
					  </xsl:attribute>read the copyright</xsl:element> and
					</xsl:if>							
				<xsl:element name="a"><xsl:attribute name="href">
					<xsl:value-of select="concat($uri_papers,bibtex:nstandard)" /></xsl:attribute>download</xsl:element>]
				</xsl:if>							
    </td>
  </tr>
</xsl:template>
</xsl:stylesheet>

